/// <reference types="node" />
import { Config } from "./configuration/Config";
import { CallFlowSession, CallFlowTestDefinition } from "./testing/test/CallFlowTestDefinition";
import { Call } from "./call/Call";
export interface TestSubject {
    from: string;
    to: string;
}
export interface TestSession {
    readonly callFlowTestDefinition: CallFlowTestDefinition;
    readonly call: Call;
    readonly callFlowSession: CallFlowSession;
}
/**
 * @param config - Configuration used for setting up the tests
 */
export declare const testRunner: (config: Config) => (call: TestSubject | Buffer, ivrTest: CallFlowTestDefinition[] | CallFlowTestDefinition) => Promise<void>;
