import { CallFlowTestDefinition } from "./test/CallFlowTestDefinition";
export interface AssignedResult {
    isAssigned: boolean;
}
export interface TestAssigned extends AssignedResult {
    isAssigned: true;
    test: CallFlowTestDefinition;
}
export interface NoneAssigned extends AssignedResult {
    isAssigned: false;
    reason: string;
}
/**
 * The number of calls that are made reflect the amount of tests needed
 * to be run. As each call's stream connects this is used to determine
 * the test that should be run
 */
export interface TestAssigner {
    assign(): TestAssigned | NoneAssigned;
}
export declare class IteratingTestAssigner implements TestAssigner {
    readonly tests: CallFlowTestDefinition[];
    private readonly testIterator;
    constructor(tests: CallFlowTestDefinition[]);
    assign(): TestAssigned | NoneAssigned;
}
