import { Call } from "../../call/Call";
import { Emitter } from "../../Emitter";
import { TranscriptionEvents } from "../../call/transcription/plugin/TranscriberPlugin";
import { PromptDefinition } from "./conditions/PromptDefinition";
export interface SessionProgressEvent {
    transcription: string;
}
export interface PromptMatchedEvent {
    transcription: string;
    promptDefinition: PromptDefinition;
}
export interface TimeoutWaitingForMatchEvent {
    transcription: string;
    promptDefinition?: PromptDefinition;
}
export interface AllPromptsMatchedEvent {
}
export declare type CallFlowSessionEvents = {
    progress: SessionProgressEvent;
    promptMatched: PromptMatchedEvent;
    allPromptsMatched: AllPromptsMatchedEvent;
    timeoutWaitingForMatch: TimeoutWaitingForMatchEvent;
};
export declare type CallFlowSession = Emitter<CallFlowSessionEvents>;
export interface CallFlowInstructions {
    runAgainstCallFlow(transcriber: Emitter<TranscriptionEvents>, call: Call): CallFlowSession;
}
export interface CallFlowTestDefinition {
    name: string;
    instructions: CallFlowInstructions;
}
