"use strict";
Object.defineProperty(exports, "__esModule", { value: true });
exports.press = void 0;
const dtmfSequenceUtils_1 = require("../../../../call/dtmf/dtmfSequenceUtils");
/**
 * Sends DTMF tones to the call
 * @param dtmfSequence - Supported digits are 0123456789*# and w. w represents a pause of 0.5s.
 */
const press = (dtmfSequence) => {
    dtmfSequence = dtmfSequence.toLocaleLowerCase();
    const validationResults = dtmfSequenceUtils_1.dtmfSequenceValidator(dtmfSequence);
    if (validationResults.valid === false) {
        throw new Error(validationResults.reason);
    }
    return {
        do: (call) => call.sendDtmfTone(dtmfSequence),
        describe: () => {
            return dtmfSequence.length === 1
                ? `press key ${dtmfSequence}`
                : `press keys ${dtmfSequence}`;
        },
    };
};
exports.press = press;
